#!/bin/sh

echo absolute_dl
mopper --minisat -p 8888 -n 3 ./absolute_dl_bad
mopper --minisat -p 8888 -n 3 ./absolute_dl_good

echo any_src
mopper --minisat -p 8888 -n 2 ./any_src_bad
mopper --minisat -p 8888 -n 2 ./any_src_good

echo assertion
mopper --minisat -p 8888 -n 3 ./assertion_bad
mopper --minisat -p 8888 -n 3 ./assertion_good

echo collective_match
mopper --minisat -p 8888 -n 3 ./collective_match_bad
mopper --minisat -p 8888 -n 3 ./collective_match_good

echo comm_dup
mopper --minisat -p 8888 -n 3 ./comm_dup_bad
mopper --minisat -p 8888 -n 3 ./comm_dup_good

echo dy_buf
mopper --minisat -p 8888 -n 3 -b ./dy_buf_bad 
mopper --minisat -p 8888 -n 3 -b ./dy_buf_good

echo input_branch
mopper --minisat -p 8888 -n 3 ./input_branch_bad
mopper --minisat -p 8888 -n 3 ./input_branch_good

echo matmat_mw
mopper --minisat -p 8888 -n 3 ./matmat_mw_bad
mopper --minisat -p 8888 -n 3 ./matmat_mw_good

##mopper --minisat -p 8888 -n 2 ./mpithreads_bad
##mopper --minisat -p 8888 -n 2 ./mpithreads_good

echo not_single_path
mopper --minisat -p 8888 -n 3 ./not_single_bad 
mopper --minisat -p 8888 -n 3 ./not_single_good

echo potential_dl
mopper --minisat -p 8888 -n 3 -b ./potential_dl_bad
mopper --minisat -p 8888 -n 3 -b ./potential_dl_good

echo rbuf_overflow
mopper --minisat -p 8888 -n 3 ./rbuf_overflow_bad
mopper --minisat -p 8888 -n 3 ./rbuf_overflow_good

echo seq1
mopper --minisat -p 8888 -n 1 ./seq1_bad
mopper --minisat -p 8888 -n 1 ./seq1_good

echo seq2
mopper --minisat -p 8888 -n 2 ./seq2_bad
mopper --minisat -p 8888 -n 2 ./seq2_good

echo seq3
mopper --minisat -p 8888 -n 3 ./seq3_bad
mopper --minisat -p 8888 -n 3 ./seq3_good

echo seq4
mopper --minisat -p 8888 -n 4 ./seq4_bad
mopper --minisat -p 8888 -n 4 ./seq4_good

echo simple_nb
mopper --minisat -p 8888 -n 3 ./simple_nb_bad 
mopper --minisat -p 8888 -n 3 ./simple_nb_good

echo tags
mopper --minisat -p 8888 -n 3 ./tags_bad
mopper --minisat -p 8888 -n 3 ./tags_good

echo type_match_p2p
mopper --minisat -p 8888 -n 3 ./type_match_p2p_bad 
mopper --minisat -p 8888 -n 3 ./type_match_p2p_good 
